View Issue Details

IDProjectCategoryView StatusLast Update
0000415Far Manager 1.7xPlugins API.Dialogpublic2007-12-11 08:27
ReportersamlyukovAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.71 
Summary0000415: произошли какие-то непонятные изменения в DI_COMBOBOX
Descriptionпроизошли какие-то изменения в DI_COMBOBOX
после 2275 билда, теперь в
DI_COMBOBOX,0,0,3,0,... не влазит четыре символа,
во всех билдах ранее былО усё нормально.
Какое поведение поддерживать?
TagsNo tags attached.
Build2306

Activities

2007-12-05 02:52

 

2275.gif (1,765 bytes)
2275.gif (1,765 bytes)

2007-12-05 02:52

 

2287.gif (1,718 bytes)
2287.gif (1,718 bytes)

vskirdin

2007-12-10 13:33

administrator   bugnote:0000991

Так.
Это произошло в 2283.
---------------------------------------------------
t-rex 27.10.2007 19:36:14 +0200 - build 2283

1. Оптимизация вывода строк редактора на экран, очень ощутимо на очень длинных строках.
---------------------------------------------------
теперь смотрим, где произошла переоптимизация...

alexy

2007-12-10 13:35

administrator   bugnote:0000992

Посмотри в сторону LeftPos и ObjWidth - там с ними и в оригинале полное шаманство было.

vskirdin

2007-12-10 14:02

administrator   bugnote:0000993

после 2306

Issue History

Date Modified Username Field Change
2007-12-05 02:52 samlyukov New Issue
2007-12-05 02:52 samlyukov File Added: 2275.gif
2007-12-05 02:52 samlyukov File Added: 2287.gif
2007-12-10 13:33 vskirdin Note Added: 0000991
2007-12-10 13:35 alexy Note Added: 0000992
2007-12-10 14:01 vskirdin Status new => assigned
2007-12-10 14:01 vskirdin Assigned To => vskirdin
2007-12-10 14:02 vskirdin Note Added: 0000993
2007-12-10 14:02 vskirdin Status assigned => feedback
2007-12-10 14:42 samlyukov Status feedback => resolved
2007-12-10 14:42 samlyukov Resolution open => fixed
2007-12-11 08:27 vskirdin Build => 2306
2007-12-11 08:27 vskirdin Status resolved => closed
2007-12-11 08:27 vskirdin Fixed in Version => 1.71